Skip to main content
GET
/
api
/
v4
/
reports
/
rewards
/
shared
Shared partner rewards report.
curl --request GET \
  --url https://my.exnessaffiliates.com/api/v4/reports/rewards/shared/
{
  "data": [
    {
      "client_account": "string",
      "client_account_type": "string",
      "client_uid": "string",
      "country": "string",
      "link_code": "string",
      "reward_date": "date",
      "volume_lots": "number",
      "volume_mln_usd": "number",
      "share_amount_usd": "number"
    }
  ],
  "totals": {
    "count": "int",
    "volume_mln_usd": "number",
    "volume_lots": "number",
    "share_amount_usd": "number"
  }
}

Documentation Index

Fetch the complete documentation index at: https://exness-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
integer

pagination

offset
integer

pagination

client_account
string[]

filter

client_account_type
string[]

filter

client_uid
string[]

filter

country
string[]

filter

reward_date_from
string

filter

reward_date_to
string

filter

filter

ordering
string

ordering, Comma-separated list without spaces. Supported field names: client_account, client_account_type, client_uid, country, link_code, reward_date, volume_lots, volume_mln_usd, share_amount_usd

Response

OK

data
object[]
required
Example:
[
{
"client_account": "string",
"client_account_type": "string",
"client_uid": "string",
"country": "string",
"link_code": "string",
"reward_date": "date",
"volume_lots": "number",
"volume_mln_usd": "number",
"share_amount_usd": "number"
}
]
totals
object
required